Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.put-envelope-workflow-step-definition ​

Updates the workflow step specified by workflowStepId for an envelope. You can use this endpoint to add or update delayed routing for a draft envelope. You can add or update delayed routing for a sent envelope as long as the previous workflow step has not been completed.

Updates the specified workflow step for an envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
workflowstepidstringYes—The ID of the workflow step.
actionstringNo—Indicates the action to perform. Valid values: - pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completeddatestringNo—The timestamp of when the workflow step transitioned to completed status. This property is read-only.
delayedroutingjsonNo—A complex element that specifies the delayed routing settings for the workflow step.
itemidstringNo—The unique ID of the item being triggered.
recipientroutingjsonNo—Describes the recipient routing rules.
statusstringNo—The status of the step. Valid values: - inactive - in_progress - paused - pending - completed This property is read-only.
triggereddatestringNo—The timestamp of when the workflow step transitioned to in_progress status. This property is read-only.
triggeronitemstringNo—The type of item that triggers this workflow step. Valid values: * routing_order
workflowstepid_2stringNo—A unique identifier for this workflow step. This property is read-only.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
workflowstepidstringYes—The ID of the workflow step.
actionstringNo—Indicates the action to perform. Valid values: - pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completeddatestringNo—The timestamp of when the workflow step transitioned to completed status. This property is read-only.
delayedroutingjsonNo—A complex element that specifies the delayed routing settings for the workflow step.
itemidstringNo—The unique ID of the item being triggered.
recipientroutingjsonNo—Describes the recipient routing rules.
statusstringNo—The status of the step. Valid values: - inactive - in_progress - paused - pending - completed This property is read-only.
triggereddatestringNo—The timestamp of when the workflow step transitioned to in_progress status. This property is read-only.
triggeronitemstringNo—The type of item that triggers this workflow step. Valid values: * routing_order
workflowstepid_2stringNo—A unique identifier for this workflow step. This property is read-only.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.put-envelope-workflow-step-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value",
    "workflowstepid": "value"
  }
}